/*
 * Component Name: Headset Simulator
 * Author: Comarch S.A.
 * Version: 1.0
 * Copyright (c) 2010 Comarch S.A.
 *  
 * This Software is submitted by Comarch S.A. to Symbian Foundation Limited on 
 * the basis of the Member Contribution Agreement entered between Comarch S.A. 
 * and Symbian Foundation Limited on 5th June 2009 (Agreement) and may be 
 * used only in accordance with the terms and conditions of the Agreement. 
 * Any other usage, duplication or redistribution of this Software is not 
 * allowed without written permission of Comarch S.A.
 * 
 */

#ifndef HSREMOTEREQUEST_H_
#define HSREMOTEREQUEST_H_

_LIT8(KHsRemoteRequestParamSeparator,"::");

/** Types of request packages */
enum THsRemoteControlCommandType
{
    /** Requests turning HS on (i.e. provide headset service) */
    EHsTurnOn = 0,
    /** Requests turning HS off (i.e. stop providing headset service */
    EHsTurnOff,
    /** Connect with bluetooth AG address */
    EHsConnectDevAddress,
    /** Connect with bluetooth AG name */
    EHsConnectName,
    /** Connect with last-connected AG */
    EHsConnectLastconnected,
    /** Disconnect AG */
    EHsDisconnectAGs,
    /** Accept incoming call */
    EHsAcceptCall,
    /** Release call */
    EHsReleaseCall,
    /** Set microphone volume */
    EHsSetMicVolume,
    /** Set speaker volume */
    EHsSetSpeakerVolume,
    /** Sends AT command */
    EHsSendAnyAt,
    /** Not used */
    EHsLast
};

#endif /* HSREMOTEREQUEST_H_ */
